---
updatedAt: 2026-08-10T10:26:14.000Z
agentTools:
  projectIndex: https://docs.ocrolus.com/llms.txt
---

# Get an industry revenue formula

This API retrieves a single industry revenue formula for your organization using the UUID specified in the path parameter. 
This feature is also available in the Ocrolus Dashboard. To learn more, see the [Industry revenue formulas](https://docs.ocrolus.com/docs/customize-revenue-formula#industry-aware-formulas) guide.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Income",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.ocrolus.com"
    }
  ],
  "security": [
    {
      "oauth": []
    }
  ],
  "paths": {
    "/v2/analytics/industry-revenue-formulas": {
      "get": {
        "summary": "List industry revenue formulas",
        "operationId": "list-industry-revenue-formulas",
        "tags": [
          "Industry revenue formulas"
        ],
        "description": "This API lists all the industry formulas configured for your organization. \nThis feature is also available in the Ocrolus Dashboard. To learn more, see the [Industry revenue formulas](https://docs.ocrolus.com/docs/customize-revenue-formula#industry-aware-formulas) guide.",
        "x-readme": {
          "samples-languages": [
            "curl",
            "python"
          ],
          "explorer-enabled": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "formulas": {
                      "type": "array",
                      "description": "A list of industry revenue formulas configured for your organization.",
                      "items": {
                        "type": "object",
                        "properties": {
                          "uuid": {
                            "type": "string",
                            "description": "Unique identifier for the formula.",
                            "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                          },
                          "name": {
                            "type": "string",
                            "description": "Formula name. Unique within your organization.",
                            "example": "Restaurants"
                          },
                          "enabled": {
                            "type": "boolean",
                            "description": "Whether the formula is currently active."
                          },
                          "deduction_tags": {
                            "type": "array",
                            "description": "Deduction tags applied by this formula.",
                            "items": {
                              "type": "string"
                            },
                            "example": [
                              "bank_loan",
                              "internal_transfer"
                            ]
                          },
                          "naics_codes": {
                            "type": "array",
                            "description": "NAICS codes this formula applies to.",
                            "items": {
                              "type": "object",
                              "properties": {
                                "code": {
                                  "type": "string",
                                  "description": "The 2 or 4 digit NAICS code.",
                                  "example": "7225"
                                },
                                "description": {
                                  "type": "string",
                                  "description": "Human-readable description of the NAICS code.",
                                  "example": "Restaurants and other eating places"
                                }
                              }
                            }
                          },
                          "suggested_formula_uuid": {
                            "type": "string",
                            "nullable": true,
                            "description": "The Ocrolus-suggested formula this one was adopted from, if any. null for formulas created from scratch.",
                            "example": null
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Success": {
                    "value": {
                      "formulas": [
                        {
                          "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                          "name": "Restaurants",
                          "enabled": true,
                          "deduction_tags": [
                            "bank_loan",
                            "internal_transfer"
                          ],
                          "naics_codes": [
                            {
                              "code": "7225",
                              "description": "Restaurants and other eating places"
                            }
                          ],
                          "suggested_formula_uuid": null
                        },
                        {
                          "uuid": "7bc44267-1017-42f8-b117-3f65260ed1a4",
                          "name": "Healthcare",
                          "deduction_tags": [
                            "internal_transfer"
                          ],
                          "naics_codes": [
                            {
                              "code": "62",
                              "description": "Health care"
                            }
                          ],
                          "suggested_formula_uuid": null
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid bearer token.",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "status": {
                      "type": "integer",
                      "description": "A numerical code that indicates the status of the request."
                    },
                    "message": {
                      "type": "string",
                      "description": "A textual description that indicates details about this response's status."
                    }
                  }
                },
                "examples": {
                  "Unauthorized": {
                    "value": {
                      "status": 401,
                      "message": "Missing or invalid bearer token"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1analytics~1industry-revenue-formulas/get/responses/401/content/application~1json/schema"
                },
                "examples": {
                  "Internal Server Error": {
                    "value": {
                      "status": 500,
                      "message": "Internal Server Error."
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v2/analytics/industry-revenue-formulas/{uuid}": {
      "get": {
        "summary": "Get an industry revenue formula",
        "operationId": "get-industry-revenue-formula",
        "tags": [
          "Industry revenue formulas"
        ],
        "description": "This API retrieves a single industry revenue formula for your organization using the UUID specified in the path parameter. \nThis feature is also available in the Ocrolus Dashboard. To learn more, see the [Industry revenue formulas](https://docs.ocrolus.com/docs/customize-revenue-formula#industry-aware-formulas) guide.",
        "x-readme": {
          "samples-languages": [
            "curl",
            "python"
          ],
          "explorer-enabled": false
        },
        "parameters": [
          {
            "name": "uuid",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The unique identifier of the industry revenue formula to retrieve.",
            "example": "62b7b31b-b8cb-4fe0-a7a9-2eefb71bd70f"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "uuid": {
                      "type": "string",
                      "description": "Unique identifier for the newly created formula."
                    },
                    "name": {
                      "type": "string",
                      "description": "Formula name."
                    },
                    "enabled": {
                      "type": "boolean",
                      "description": "Whether the formula is currently active."
                    },
                    "deduction_tags": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "description": "Deduction tags applied by this formula."
                    },
                    "naics_codes": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "description": "The 2 or 4 digit NAICS code."
                          },
                          "description": {
                            "type": "string",
                            "description": "Human-readable description of the NAICS code."
                          }
                        }
                      },
                      "description": "NAICS codes this formula applies to."
                    },
                    "suggested_formula_uuid": {
                      "type": "string",
                      "nullable": true,
                      "description": "The Ocrolus-suggested formula this one was adopted from, if any. `null` for formulas created from scratch."
                    }
                  }
                },
                "examples": {
                  "Success": {
                    "value": {
                      "uuid": "62b7b31b-b8cb-4fe0-a7a9-2eefb71bd70f",
                      "name": "Restaurants",
                      "enabled": true,
                      "deduction_tags": [
                        "bank_loan",
                        "internal_transfer"
                      ],
                      "naics_codes": [
                        {
                          "code": "7225",
                          "description": "Restaurants and other eating places"
                        }
                      ],
                      "suggested_formula_uuid": "0d677500-5b57-4d27-a03c-5b96e805546c"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Missing or invalid bearer token.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1analytics~1industry-revenue-formulas/get/responses/401/content/application~1json/schema"
                },
                "examples": {
                  "Unauthorized": {
                    "value": {
                      "status": 401,
                      "message": "Missing or invalid bearer token"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "No formula with that uuid exists in your organization.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1analytics~1industry-revenue-formulas/get/responses/401/content/application~1json/schema"
                },
                "examples": {
                  "Not Found": {
                    "value": {
                      "status": 404,
                      "message": "Industry revenue formula not found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v2~1analytics~1industry-revenue-formulas/get/responses/401/content/application~1json/schema"
                },
                "examples": {
                  "Internal Server Error": {
                    "value": {
                      "status": 500,
                      "message": "Internal Server Error."
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "oauth": {
        "type": "oauth2",
        "description": "OAuth 2.0 support via client credentials flow. See [here](https://docs.ocrolus.com/ocrolus-api/docs/using-api-credentials) for usage information.\n",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://auth.ocrolus.com/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  }
}
```